Mark a notification as viewed.
POST
/v1/notifications/{notification_id}/view
const url = 'https://app.everruns.com/api/v1/notifications/example/view';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/notifications/example/viewParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”notification_id
required
string
Prefixed public identifier
Responses
Section titled “ Responses ”Success
Media typeapplication/json
object
body
required
Plain-text summary of what happened.
string
created_at
required
Timestamp when this resource was created (RFC 3339).
string format: date-time
href
UI link that opens the resource the notification is about.
string | null
id
required
Prefixed public identifier. See ID Schema.
string
kind
required
Discriminator selecting the variant of this resource.
string
occurrence_count
required
How many times the same event recurred into this notification.
integer format: int32
payload
required
Kind-specific structured detail.
object
source
target_id
Prefixed public identifier of the resource the notification is about.
string | null
target_type
Kind of resource the notification is about, when it has one.
string | null
title
required
Human-readable title. Safe to render in user-facing messages.
string
updated_at
required
Timestamp when this resource was last updated (RFC 3339).
string format: date-time
viewed_at
When the current user marked the notification as viewed; null while unviewed.
string | null format: date-time
Example
{ "href": "/chat/session_01933b5a00007000800000000000001", "id": "notification_01933b5a00007000800000000000001", "kind": "health.issue", "occurrence_count": 1, "source": { "id": "agent_01933b5a00007000800000000000001", "name": "Platform Assistant", "type": "agent" }, "target_id": "session_01933b5a00007000800000000000001", "target_type": "session", "title": "Agent run failed"}Notification not found